package com.engine.kq.service;

import java.util.Map;
import weaver.hrm.User;

public interface KQScheduleSignImportService {
	
	/**
	 * 获取导入表单
	 * @param params
	 * @param user
	 * @return
	 */
	public Map<String, Object> getImportForm(Map<String, Object> params, User user);
	
	/**
	 * 保存导入信息
	 * @param params
	 * @param user
	 * @return
	 */
	public Map<String, Object> saveImport(Map<String, Object> params, User user);
	
	/**
	 * 获取导入表单
	 * @param params
	 * @param user
	 * @return
	 */
	public Map<String, Object> getImportSetForm(Map<String, Object> params, User user);
	
	/**
	 * 同步外部集成考勤数据
	 * @param params
	 * @param user
	 * @return
	 */
	public Map<String, Object> synData(Map<String, Object> params, User user);
	
	/**
	 * 保存外部集成考勤设置
	 * @param params
	 * @param user
	 * @return
	 */
	public Map<String, Object> saveImportSet(Map<String, Object> params, User user);

	/**
	 * 考勤数据上传
	 * @param params
	 * @param user
	 * @return
	 */
	public Map<String, Object> uploadData(Map<String, Object> params, User user);

	/**
	 * 钉钉考勤数据同步
	 * @param params
	 * @return
	 */
	public Map<String, Object> synDingTalkData(Map<String, Object> params);

}
